org.apache.hadoop.hdfs.web.oauth2

## Class OAuth2Constants

- java.lang.Object
- - org.apache.hadoop.hdfs.web.oauth2.OAuth2Constants

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public final class OAuth2Constants
      extends Object

  Sundry constants relating to OAuth2 within WebHDFS.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCESS_TOKEN`
    `static String` | `BEARER`
    `static String` | `CLIENT_CREDENTIALS`
    `static String` | `CLIENT_ID`
    `static String` | `CLIENT_SECRET`
    `static String` | `EXPIRES_IN`
    `static String` | `GRANT_TYPE`
    `static String` | `REFRESH_TOKEN`
    `static String` | `TOKEN_TYPE`
    `static com.squareup.okhttp.MediaType` | `URLENCODED`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### URLENCODED

          public static final com.squareup.okhttp.MediaType URLENCODED

    - #### ACCESS_TOKEN

          public static final String ACCESS_TOKEN

      See Also:
        Constant Field Values

    - #### BEARER

          public static final String BEARER

      See Also:
        Constant Field Values

    - #### CLIENT_CREDENTIALS

          public static final String CLIENT_CREDENTIALS

      See Also:
        Constant Field Values

    - #### CLIENT_ID

          public static final String CLIENT_ID

      See Also:
        Constant Field Values

    - #### CLIENT_SECRET

          public static final String CLIENT_SECRET

      See Also:
        Constant Field Values

    - #### EXPIRES_IN

          public static final String EXPIRES_IN

      See Also:
        Constant Field Values

    - #### GRANT_TYPE

          public static final String GRANT_TYPE

      See Also:
        Constant Field Values

    - #### REFRESH_TOKEN

          public static final String REFRESH_TOKEN

      See Also:
        Constant Field Values

    - #### TOKEN_TYPE

          public static final String TOKEN_TYPE

      See Also:
        Constant Field Values

Copyright © 2022 Apache Software Foundation. All rights reserved.